F21 system GCC changed to 4.9.0 prerelease

Zbigniew Jędrzejewski-Szmek zbyszek at in.waw.pl
Sat Apr 12 14:02:37 UTC 2014


On Sat, Apr 12, 2014 at 11:41:48AM +0200, Zoltan Boszormenyi wrote:
> Any project I tried with
>    ./configure CFLAGS="-fsanitize=undefined -fsanitize=address"
> fails with:
> 
> checking for gcc... gcc
> checking whether the C compiler works... no
> 
> config.log reveals that libasan.so and libubsan.so are missing from the system.
> "yum install lib{a,ub}san.{i686,x86_64}" fixed it. Shouldn't gcc and gcc-c++
> packages require these libraries?
No, it's just those options that require the libraries. IMO, if we
multiply the number of saniter libraries (so far 3 and growing), by
the number of possible architectures supported by the same compiler, we
quickly get into a larger dependency tree then something you want to
install *always*.

Zbyszek


More information about the devel mailing list